Skip to content
GET /unified/ticketing/teams

Query Parameters

Refer Specifying query parameters in Truto APIs

workspace_idstring

The unique identifier for the workspace

2 supported2 required
Asana
required
ClickUp
required
sort_byobject
Possible values:
name
2 supported
Gorgias
supported
Teamwork Project Management
supported
created_atstring · date-time

The date the team was created

Possible values:
ascdesc
1 supported
Gorgias
supported
namestring

The name of the team

Possible values:
ascdesc
1 supported
Gorgias
supported
user_id
1 supported1 required
Jira
required
namestring

The name of the team

26 supported
Asana
supported
BMC Helix
supported
ClickUp
supported
Dixa
supported
Front
supported
FuseDesk
supported
Gorgias
supported
Help Scout
supported
Hive
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Linear
supported
LiveAgent
supported
Missive
supported
Qualtrics CoreXM
supported
Richpanel
supported
ServiceNow
supported
Shortcut
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
Trengo
supported
Zendesk
supported
Zoho Desk
supported
Zoho Projects
supported
organizationobject
1 supported
Zoho Projects
supported
idstring

The unique identifier for a organization.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Teams

idstring
required·

The unique identifier for a team

26 supported
Asana
supported
BMC Helix
supported
ClickUp
supported
Dixa
supported
Front
supported
FuseDesk
supported
Gorgias
supported
Help Scout
supported
Hive
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Linear
supported
LiveAgent
supported
Missive
supported
Qualtrics CoreXM
supported
Richpanel
supported
ServiceNow
supported
Shortcut
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
Trengo
supported
Zendesk
supported
Zoho Desk
supported
Zoho Projects
supported
created_atstring · date-time

The date the team was created

14 supported
BMC Helix
supported
ClickUp
supported
FuseDesk
supported
Gorgias
supported
Help Scout
supported
Jira Service Management
supported
Kustomer
supported
Linear
supported
Richpanel
supported
ServiceNow
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
Zendesk
supported
Zoho Projects
supported
descriptionstring

The description of the team

12 supported
Asana
supported
Gorgias
supported
Linear
supported
Missive
supported
ServiceNow
supported
Shortcut
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
Zendesk
supported
Zoho Desk
supported
Zoho Projects
supported
etagstring

The unique identifier for the specific version of the resource.

namestring

The name of the team

26 supported
Asana
supported
BMC Helix
supported
ClickUp
supported
Dixa
supported
Front
supported
FuseDesk
supported
Gorgias
supported
Help Scout
supported
Hive
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Linear
supported
LiveAgent
supported
Missive
supported
Qualtrics CoreXM
supported
Richpanel
supported
ServiceNow
supported
Shortcut
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
Trengo
supported
Zendesk
supported
Zoho Desk
supported
Zoho Projects
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

The date the team was last updated

10 supported
BMC Helix
supported
Help Scout
supported
Kustomer
supported
Linear
supported
Richpanel
supported
ServiceNow
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
Zendesk
supported
Zoho Projects
supported
curl -X GET 'https://api.truto.one/unified/ticketing/teams?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/teams?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/teams"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ticketing',
  'teams',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ticketing",
        "teams",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())